### Constructor

# Gio DebugControllerDBus new

since: 2.72

#### Declaration [src]

    GDebugControllerDBus*
    g_debug_controller_dbus_new (
      GDBusConnection* connection,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Create a new `GDebugControllerDBus` and synchronously initialize it.

Initializing the object will export the debug object on `connection`. The object will remain registered until the last reference to the `GDebugControllerDBus` is dropped.

Initialization may fail if registering the object on `connection` fails.

Available since: 2.72

#### Parameters

`connection`

  Type: `GDBusConnection`

  A `GDBusConnection` to register the debug object on.

  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GDebugControllerDBus`

A new `GDebugControllerDBus`, or `NULL` on failure.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.